<?php

namespace Drupal\drupal_marketplace\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Entity\EntityTypeManagerInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Class MarketPlaceController.
 */
class MarketplaceController extends ControllerBase {

  protected $entityTypeManager;

  /**
   * @param \Drupal\Core\Entity\EntityTypeManagerInterface $entityTypeManager
   */
  public function __construct(
    EntityTypeManagerInterface $entityTypeManager
  ) {
    $this->entityTypeManager = $entityTypeManager;
  }

  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('entity_type.manager')
    );
  }
  /**
   * Marketplacepageaction.
   *
   * @return string
   *   Return Hello string.
   */
  public function marketplacePageAction() {
    return [
      '#type' => 'markup',
      '#attached' => [
        'library' => [
          'drupal_marketplace/drupal-marketplace-react-app',
        ],
      ],
      '#markup' => '<div id="root"></div>',
    ];
  }

}
