<?php

namespace Drupal\drupal_marketplace\Entity;

use Composer\Semver\Semver;

class Release {

  public $version;
  public $releaseLink;
  public $date;
  public bool $isCompatible;

  protected $name = '';
  protected $tag = '';
  protected $terms = [];
  protected $security = '';
  protected $coreCompatibility = '';

  /**
   * @param array $release
   */
  public function __construct(array $release) {
    $this->name = $release['name'];
    $this->version = $release['version'];
    $this->tag = $release['tag'];
    $this->releaseLink = $release['release_link'];
    $this->date = $release['date'];

    if (array_key_exists('terms', $release)) {
      $this->terms = $release['terms'];
    }
    $this->security = $release['security'];
    if (array_key_exists('core_compatibility', $release)) {
      $this->coreCompatibility = $release['core_compatibility'];
      /** @todo check compatibility. E.g. sitemap is being installed as v.1.5  which is not compatible with drupal 9,
       * but other dev/beta releases are compatible. As a result package is available for download, but it fails.
       */
      $this->isCompatible = Semver::satisfies(\Drupal::VERSION, $this->coreCompatibility);
    }
  }
}
